Issue 103075

Summary: File corruption in Calc wipes out data
Product: Calc Reporter: mckramer <moxnix2>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P2 CC: issues, kpalagin
Version: OOO310m11   
Target Milestone: ---   
Hardware: PC   
OS: Windows Vista   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Example of corrupted file with data loss
none
Original corrupted file. I got back the data by opening in 2007 Excel but I had to reformat everything.
none
Says (fixed) but after fixing and adding more data, this file has corrupted also.
none
Another file corrupted on one tab only none

Description mckramer 2009-06-24 19:10:28 UTC
Calc is frequently corrupting files, however, calc can still open them with no 
problem.  The bug is that data just disappears.  One file just had twenty tabs 
of information in it.  Every tab was blank.  The names of the tabs were there, 
but no content.  Interestingly enough, the filesize on disk still looked like a 
full spreadsheet.  Since all my files are saved in MS Excel 2000 format, I 
opened the file up with Microsoft Excel.  Excel reported a file error, said it 
would recover, but check for data loss.  As a result, all the data was 
recovered...so it was, in fact, there somewhere.  However, all formatting was 
not retrievable by Excel. No column widths, no colors, no number formats, no 
borders, nothing.  Thought it was a fluke...Now it's happened a few more times. 
This time at a random place in the file, all the data is just gone. The 
attached file is a good example. From cell range H35:V35 and from cell range 
A36:V41 all the data is just gone.  It was there when I saved it yesterday. You 
will notice that row 41 still has preserved the row height, but yet R2:V2 is no 
longer a single merged cell and B2:B3 is also no longer a merged cell.
Comment 1 mckramer 2009-06-24 19:59:16 UTC
Created attachment 63196 [details]
Example of corrupted file with data loss
Comment 2 kpalagin 2009-06-25 12:35:49 UTC
Confirming with m40 on WinXP - Calc would not show the data after G35, Excel 
can read a bit more, but looses formatting.
Comment 3 kpalagin 2009-06-25 12:36:28 UTC
Should be m49, not m40.
Comment 4 mckramer 2009-06-30 06:35:38 UTC
Well, my file with 20 tabs just corrupted yet again.  The only tab still in 
tact is the first one that I had entered last.  After opening in MS Excel last 
time, I spent a few hours restoring all the formatting and saved and opened the 
file a few times.  Tonight, it's all gone again!  Frustrating as hell!  I will 
now attach this file as well as the original corrupted file.  I am close to 
abandoning OpenOffice.  The product has gotten very unstable and should not be 
published until these serious bugs are eliminated.
Comment 5 mckramer 2009-06-30 06:39:43 UTC
Created attachment 63285 [details]
Original corrupted file.  I got back the data by opening in 2007 Excel but I had to reformat everything.
Comment 6 mckramer 2009-06-30 06:43:25 UTC
Created attachment 63286 [details]
Says (fixed) but after fixing and adding more data, this file has corrupted also.
Comment 7 kpalagin 2009-06-30 07:34:00 UTC
mckramer,
may I suggest using .ods for storage and resave in .xls only when you need to 
exchange files with somebody?
Comment 8 mckramer 2009-07-08 06:57:48 UTC
Created attachment 63419 [details]
Another file corrupted on one tab only
Comment 9 mckramer 2009-07-08 07:01:20 UTC
Another file corrupted.  Perhaps if we don't know the cause, we should issue an 
alert bulletin to all users that the excel format frequently corrupts files so 
they can no longer see any data.  I don't know why this is happening with this 
build of the 3.0 version.  Never had any problems up until now. To say that the 
fix is just to save in ODF format is very myopic.  This issue needs to be fixed 
because if Open Office cannot reliably communicate with the greater world of 
MicroSoft Office, then this product is doomed!